package com.example.data;

import java.util.List;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import com.example.model.test.Foo;

@Stateless
@LocalBean
public class TestFacade {
	@PersistenceContext(unitName = "test")
	private EntityManager em;
	
	@SuppressWarnings("unchecked")
	public List<Foo> getAllFooRecords() {
		return em.createQuery("select f from Foo").getResultList();
	}
	
	public Foo getFooById(long id) {
		return em.find(Foo.class, Long.valueOf(id));
	}
	
	public void insertFoo(Foo aFoo) {
		em.persist(aFoo);
	}
	
	public void updateFoo(Foo aFoo) {
		em.merge(aFoo);
	}
}
