package com.example.logic;

import java.util.List;

import javax.ejb.EJB;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.persistence.Cleanup;
import org.jboss.arquillian.persistence.CleanupStrategy;
import org.jboss.arquillian.persistence.UsingDataSet;
//import org.jboss.arquillian.testng.Arquillian;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
//import org.testng.annotations.Test;
import org.junit.Test;
import org.junit.runner.RunWith;

import com.example.data.TestFacade;
import com.example.model.test.Foo;
import com.example.model.test1.Bar;

//import static org.testng.Assert.*;
import static org.junit.Assert.*;

@RunWith(Arquillian.class)
public class FooBarBeanTest /*extends Arquillian*/ {
	@EJB
	FooBarBean testBean;
	
	@EJB
	TestFacade tf;
	
	@Deployment
    public static Archive<?> createTestArchive() {
		return ShrinkWrap
                .create(JavaArchive.class, "FooBarBeanTest.jar")
                .addClasses(FooBarBean.class, Foo.class, Bar.class)
                .addPackage(TestFacade.class.getPackage())
                .addAsResource("META-INF/persistence.xml", "META-INF/persistence.xml")
                .addAsResource("datasets/foobar-test-ds.xml", "datasets/foobar-test-ds.xml")
                .addAsManifestResource("jboss-deployment-structure.xml", "jboss-deployment-structure.xml");
	}
	
	@Test
	@UsingDataSet("datasets/foobar-test-ds.xml")
	@Cleanup(strategy = CleanupStrategy.USED_TABLES_ONLY)
	public void testGetAllFooRecords() {
		List<Foo> allFoos = testBean.getAllFooRecords();
		
//		assertEquals(allFoos.size(), 5);	
		assertEquals((long) allFoos.size(), 5L);
	}
}
